<?php namespace App\Repositories;

use App\Adresse;
class AdresseRepository extends BaseRepository
{
    public function __construct(Adresse $adresse)
    {
        $this->model = $adresse;
    }
    
    public function getById($id)
    {
        return $this->model->with('commune')->findOrFail($id);
    }
}